ENTRY.bas

DECLARE SUB DestEntry ()
DECLARE SUB NDEntry ()
DECLARE FUNCTION KeyChoice$ (text$)
DEFINT I-N
DEFDBL A-H, O-Z
DIM SHARED datafile AS INTEGER, filename AS STRING
CLS
SCREEN 0
INPUT "Enter the drive letter for your data ", drive$
drive$ = LEFT$(drive$, 1) + ":"
INPUT "Enter the directory name ", directory$
IF directory$ = "" THEN directory$ = "."
INPUT "Enter the file name ", filename
filename = drive$ + "\" + directory$ + "\" + filename
datafile = FREEFILE
OPEN filename FOR OUTPUT AS #datafile

PRINT "Is this a destructive test data set? Y/N"
test$ = KeyChoice$("YN")
IF test$ = "Y" THEN
    DestEntry
ELSE
    NDEntry
END IF

END

SUB DestEntry

    INPUT "Enter the number of test temperatures ", NumberOfTemperatures
    PRINT #datafile, NumberOfTemperatures
    INPUT "Enter the maximum number of ageing times at any temperature ", MaxTimes
    PRINT #datafile, MaxTimes
    INPUT "Enter the maximum number of specimens aged for any time ", MaxSpecimens
    PRINT #datafile, MaxSpecimens
    FOR i = 1 TO NumberOfTemperatures
        VIEW PRINT 8 TO 25
        CLS 2
        PRINT USING "Enter temperature ## "; i;
        INPUT "", temperature
        PRINT #datafile, temperature
        INPUT "Enter the number of ageing times ", NumberOfAgeingTimes
        PRINT #datafile, NumberOfAgeingTimes
        FOR j = 1 TO NumberOfAgeingTimes
            VIEW PRINT 10 TO 25
            CLS 2
            PRINT USING "Enter time ##_,###  "; i; j;
            INPUT "", time
            PRINT #datafile, time
            PRINT USING "Enter the number of specimens aged for time ##### at temperature ### "; time; temperature;
            INPUT "", NumberOfSpecimens
            PRINT #datafile, NumberOfSpecimens
            FOR j1 = 1 TO NumberOfSpecimens
                VIEW PRINT 12 TO 25
                CLS 2
                PRINT USING "Enter property value for specimen ### "; j1;
                INPUT "", property
                PRINT #datafile, property
            NEXT j1
        NEXT j
    NEXT i
    LOCATE 15, 1
    INPUT "Enter the end point value ", EndPoint
    PRINT #datafile, EndPoint
    CLOSE #datafile

END SUB

FUNCTION KeyChoice$ (compare$)

DIM p AS INTEGER
    compare$ = UCASE$(compare$)
    DO WHILE p = 0
        p = INSTR(compare$, UCASE$(INPUT$(1)))
    LOOP
    KeyChoice$ = MID$(compare$, p, 1)

END FUNCTION

SUB NDEntry

    INPUT "Enter the number of test temperatures ", NumberOfTemperatures
    PRINT #datafile, NumberOfTemperatures
    INPUT "Enter the maximum number of specimens aged at any temperature ", l
    PRINT #datafile, l
    FOR i = 1 TO NumberOfTemperatures
        VIEW PRINT 7 TO 25
        CLS 2
        PRINT USING "Enter temperature ## "; i;
        INPUT "", temperature
        PRINT #datafile, temperature
        INPUT "Enter the number of specimens ", NumberOfSpecimens
        PRINT #datafile, NumberOfSpecimens
        INPUT "Enter the number of ageing times known ", NumberOfTimes
        PRINT #datafile, NumberOfTimes
        FOR j = 1 TO NumberOfTimes
            VIEW PRINT 10 TO 25
            CLS 2
            PRINT USING "Enter time ##_,### "; i; j;
            INPUT "", time
            PRINT #datafile, time
        NEXT j
    NEXT i
    CLOSE #datafile
END SUB
